<?php

namespace Netmon\Devices\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;

class RelationsServiceProvider extends ServiceProvider
{
    /**
     * Register any other events for your application.
     *
     * @return void
     */
    public function boot()
    {
        config([
            'runtimeRelations.models.'.\Netmon\Server\App\Models\User::class => [
                'ownDevices' => [
        			'type' => 'hasMany',
        			'model' => \Netmon\Devices\Models\Device::class,
        			'foreignKey' => 'owner_id',
        			'localKey' => null
        		]
            ]
        ]);

        config([
            'runtimeRelations.serializers.'.\Netmon\Server\App\Serializers\UserSerializer::class => [
                'ownDevices' => [
        			'type' => 'hasMany',
        			'serializer' => \Netmon\Devices\Serializers\DeviceSerializer::class
        		]
            ]
        ]);

        config([
            'runtimeRelations.models.'.\Netmon\Server\App\Models\User::class => [
                'createdDevices' => [
        			'type' => 'hasMany',
        			'model' => \Netmon\Devices\Models\Device::class,
        			'foreignKey' => 'creator_id',
        			'localKey' => null
        		]
            ]
        ]);

        config([
            'runtimeRelations.serializers.'.\Netmon\Server\App\Serializers\UserSerializer::class => [
                'createdDevices' => [
        			'type' => 'hasMany',
        			'serializer' => \Netmon\Devices\Serializers\DeviceSerializer::class
        		]
            ]
        ]);

        parent::boot();
    }
}
